Bug 238308 - sendmail and sm-client delays startup for 3 minutes
sendmail and sm-client delays startup for 3 minutes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 00:19 EDT by David Timms
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 11:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/sendmail (20 bytes, application/octet-stream)
2007-04-29 00:19 EDT, David Timms
no flags Details
three wireshark pcap traces captured as time 0.00 is sendmail start (2.28 KB, application/octet-stream)
2007-05-14 16:42 EDT, David Timms
no flags Details
package changes leading up to difficulty with sendmail (9.92 KB, text/plain)
2007-05-14 16:49 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2007-04-29 00:19:43 EDT
Description of problem:
During bootup, the rhgb boot flicks to the text mode - problem is occurring
screen, with sendmail being shown. It stays like this and eventually starts
sm-client which also takes some time. 

Version-Release number of selected component (if applicable):
sendmail-8.14.1-2

How reproducible:
every time this dell poweredge 1800sc boots.

Steps to Reproduce:
1. fc6 default install/updated to 2007-04-20/upgraded->f7t4.
2. boot the machine
  
Actual results:
Starting email transport
Starting sendmail: make: Warning: File ~'virtusrtable.db'~ has modification time
3.3e+04s in the future
make warning: Clock skew detected, Your build may be incomplete.
{the bootup process stops for exactly 2 minutes at this point}

Starting sm-client.
{boot process stops for exactly 1 minute at this point}

Boot continues with other services OK.

after booted:
service sendmail status
sendmail (pid 2337 2326) is running...

Expected results:
sendmail should not delay machine bootup {even if there was bad config or
networking}, which is not the case in this instance.

Additional info:
# service sendmail stop
Shutting down sm-client:                                   [  OK  ]
Shutting down sendmail:                                    [  OK  ]
# time service sendmail start
Starting sendmail:                                         [  OK  ]
Starting sm-client:                                        [  OK  ]

real    3m0.581s
user    0m0.234s
sys     0m0.151s
Comment 1 David Timms 2007-04-29 00:19:43 EDT
Created attachment 153726 [details]
/etc/sysconfig/sendmail
Comment 2 David Timms 2007-04-29 00:27:13 EDT
same result from a different cause is bug 217749.
Comment 3 Thomas Woerner 2007-04-30 04:39:43 EDT
What does etc/hosts look like?
Are there entries for localhost and localhost.localdomain for IPv4 and IPv6?
Comment 4 David Timms 2007-04-30 05:39:30 EDT
partial sanitised /etc/hosts:
# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1 localhost.localdomain localhost localhost.myweb.com.au

192.168.2.0 network.myweb.com.au network #broadcast address
192.168.2.1 router.myweb.com.au router   #firewall/router/vpn
192.168.2.208 poweredge.myweb.com.au poweredge #dell 
...
$ ping localhost
PING localhost.localdomain (127.0.0.1) 56(84) bytes of data.
64 bytes from localhost.localdomain (127.0.0.1): icmp_seq=1 ttl=64 time=0.329 ms

--- localhost.localdomain ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 0.329/0.329/0.329/0.000 ms
$ ping localhost.localdomain
PING localhost.localdomain (127.0.0.1) 56(84) bytes of data.
64 bytes from localhost.localdomain (127.0.0.1): icmp_seq=1 ttl=64 time=0.133 ms

There is no IPV6 entries. Disabled as in:
http://fedorasolved.org/network-solutions/disable-ipv6
Comment 5 Thomas Woerner 2007-04-30 07:12:31 EDT
Have you set a hostname for this machine?
Is this hostname only resolvable by dns?
Comment 6 David Timms 2007-04-30 11:02:13 EDT
$ ping poweredge
PING poweredge (192.168.32.208) 56(84) bytes of data.
64 bytes from poweredge (192.168.32.208): icmp_seq=1 ttl=64 time=0.612 ms

$ ping 192.168.32.208
PING 192.168.32.208 (192.168.32.208) 56(84) bytes of data.
64 bytes from 192.168.32.208: icmp_seq=1 ttl=64 time=0.131 ms

$ cat /etc/host.conf 
order hosts,bind

if the /etc/hosts entry for poweredge is commented out, then is it no longer
able to resolve the name.

in system-config-network
dhcp(optional) hostname=poweredge
dns hostname=poweredge
dns search path=z  {i think because some tool required me to enter something,
even though it does not make sense to do so}.

$ cat /etc/resolv.conf
; generated by /sbin/dhclient-script
search z
nameserver 210.23.129.34
nameserver 203.0.178.191

I used s-c-n to remove the search path z, save, and restart the machine. same
delay in sendmail/sm-client startup and in fact the search setting came back.

$ rpm -qf /etc/hosts
file /etc/hosts is not owned by any package
I wanted to reset hosts to default as installed, but it isn't in an rpm.
Comment 7 David Timms 2007-05-06 16:41:26 EDT
I repeated f7t4 as fresh install {keeping /home partition}. This sendmail issue
did not occur. I am going to reload fc6, update and upgrade to see how
repeatable the fault is.
Comment 8 David Timms 2007-05-14 16:42:09 EDT
Created attachment 154687 [details]
three wireshark pcap traces captured as time 0.00 is sendmail start

Reinstallation of fc6 blanking the / partition. no delay.
Updated to 2007-05-14. problem now occurs.
Changing bug version to fc6.
Captured startup in wireshark, attached.
I can see the cause, dns resolution as expected.

1. dhcp and dns on another fc6 machine
s-c-n dns tab shows poweredge and search poweredge
# cat /etc/resolv.conf
; generated by /sbin/dhclient-script
nameserver 192.168.32.68
search poweredge
  * tries to lookup poweredge.poweredge which does not exist - dns informs
sendmail that "does not exist", but it waits 60 seconds and tries again etc.

2. dhcp and dns on home adsl router
s-c-n dns tab shows poweredge and search z
cat /etc/resolv.conf
; generated by /sbin/dhclient-script
search z
nameserver 210.23.129.34
nameserver 203.0.178.191
  * tries to lookup poweredge.z which does not exist - dns informs sendmail
that "does not exist", but it waits 60 seconds and tries again etc.

3. used system-config-network to uncheck get-hostname-from-dhcp.
s-c-n dns tab shows localhost.localdomain and search z
# cat /etc/resolv.conf
search z
nameserver 210.23.129.34
nameserver 203.0.178.191
  * tries to lookup localhost.localdomain, then localhost.localdomain.z which
do not exist - dns informs sendmail that "does not exist", sendmail accepts
this and sendmail/sm_client start in about 3/4 seconds.

I would say that it possible there is a bug elsewhere that is filtering through
to sendmail. Notice how with (3) unchecked get hostname, a lookup is done for
both:
- hostname =localhost.localdomain
- hostname.searchpath =localhost.localdomain.z
both of which fail, whereas with get hostname from dhcp checked,
only one lookup is made:
- hostname.hostname !!
which fails, but sendmail does not accept it, and tries again 60secs later.

[https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217749]
Comment 9 David Timms 2007-05-14 16:49:18 EDT
Created attachment 154690 [details]
package changes leading up to difficulty with sendmail

I notice that dhcp apps have been modified, I will try to backpedal to an older
ones of these to see if it resolves itself.
Comment 10 Thomas Woerner 2007-06-05 06:24:56 EDT
Can you please try to temporary disable IPv6 for your system? It could be a
source of your problem.
Comment 11 Thomas Woerner 2007-08-29 12:07:10 EDT
Does disabling IPv6 help for you?
Comment 12 David Timms 2007-08-29 16:43:41 EDT
I missed the earlier ipv6 request. Note that ipv6 was disabled {and is also on
this F7 final install} in modprobe.conf:
install ipv6 /bin/true

# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:C0:9F:28:57:E1  
          inet addr:192.168.32.210  Bcast:192.168.32.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1492  Metric:1
          RX packets:412083 errors:0 dropped:0 overruns:0 frame:0
          TX packets:557957 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:212377848 (202.5 MiB)  TX bytes:569404884 (543.0 MiB)
          Base address:0xecc0 Memory:fe100000-fe120000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:12169 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12169 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:32737176 (31.2 MiB)  TX bytes:32737176 (31.2 MiB)

# chkconfig --list sendmail
sendmail        0:off   1:off   2:on    3:on    4:on    5:off   6:off
{starting rl 5}

Since this was rather annoying, I disabled sendmail service. Note that since the
report, the machine has had a fresh CentOS install, and then a fresh F7 install.
The sendmail delay continues - even if started from command prompt:

In /etc/hosts there is no ipv6 localhost entry. The cause seems to be related to
the settings received from my dhcp server {a siemens adsl modem/router}, in that
sendmail tries dns lookup a non-existent host, which eventually times out.
Comment 13 Thomas Woerner 2007-09-24 10:34:09 EDT
sendmail tries to get the full qualified domain name, which is important for a
MTA. Can you please verify, where this "search z" comes from? 
Can you use poweredge.myweb.com.au instead of poweredge?
Comment 14 Thomas Woerner 2007-11-06 11:28:32 EST
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.